package org.cs.mgr.order.service;

import java.util.Map;

import javax.servlet.http.HttpServletResponse;

import org.cs.core.service.IBaseService;
import org.cs.util.Pager;
import org.springframework.web.multipart.MultipartFile;

import com.alibaba.fastjson.JSONObject;

import org.cs.mgr.order.model.MgmOrder;
import org.cs.mgr.order.model.MgmOrderTransfer;

/**
 * 
 * @ClassName: IMgmOrderService
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:29:02
 */
public interface IMgmOrderService extends IBaseService<MgmOrder> {

	Pager getMgmOrders(Pager page);

	boolean delMgmOrder(Integer id);
	
	boolean addMgmOrder(MgmOrder mgmOrder);
	
	boolean updateMgmOrder(MgmOrder mgmOrder);
	//马上推荐
	public JSONObject addMgmOrder(Map<String, String> map);
	//订单列表（推荐记录）
	public JSONObject getOrderList(Map<String, String> map);
	//
	public  JSONObject orderDetailsCustomer(Map<String, String> map);
	
	public JSONObject orderPruductDetails(Map<String, String> map);
	
	public Pager getMgmOrdersBySearch(Pager page,Map<String, String> map);

	JSONObject queryOrderList(Map<String, String> map);
	
	//转单
	public JSONObject transferAction(MgmOrderTransfer mgmOrderTransfer);
	
	//指派
	public JSONObject assignAction(String userId,String orderId);
	
	//订单终止申请
	public JSONObject orderTermination(Map<String, String> map);
	
	
	//订单填报  orderFillProgress
	public JSONObject orderFillProgress(Map<String, String> map);
	
	//签约  signAcntract
	public JSONObject signAcntract(Map<String, String> map);
	
	
	//签约确认
	public JSONObject signAction(String actionName,String orderId);
	
	//签约确认
	public JSONObject deliveryAction(String orderId);
	
	//指派
	public JSONObject assignActionTj(String userId,String orderId);
	
	//统计
	public Pager getMgmOrderStatistics(Pager page);
	
	//导出
	public void downExecl(Map<String, String> map, HttpServletResponse response);
	
	
	//订单继续
	public JSONObject orderContinuation(String orderId);
	
	//订单终止
	public JSONObject orderEnd(String orderId,Integer userId);
}
